package serveur;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;

import serveur.xjc.Requete;

@WebService( 
        serviceName = "ServiceMeteo", targetNamespace="http://www.afceurope.com")
@SOAPBinding(parameterStyle=SOAPBinding.ParameterStyle.WRAPPED)

public class ServiceMeteo {
	@WebMethod
	@WebResult(name="result", targetNamespace="http://www.afceurope.com")
	public String traiteRequete(
			@WebParam(name="requete", targetNamespace="www.afceurope.com")
			Requete requete){
		System.out.println("Je traite la requete");
		System.out.println("Pays "+requete.getPays());
		System.out.println("Ville "+requete.getVille());
		if( requete.isCelsius()) return "20.0" ;
		else return "65.0";
	}
}
