
package client.jaxws;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the client.jaxws package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _Requete_QNAME = new QName("www.afceurope.com", "requete");
    private final static QName _TraiteRequete_QNAME = new QName("http://www.afceurope.com", "traiteRequete");
    private final static QName _TraiteRequeteResponse_QNAME = new QName("http://www.afceurope.com", "traiteRequeteResponse");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: client.jaxws
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link TraiteRequeteResponse }
     * 
     */
    public TraiteRequeteResponse createTraiteRequeteResponse() {
        return new TraiteRequeteResponse();
    }

    /**
     * Create an instance of {@link TraiteRequete }
     * 
     */
    public TraiteRequete createTraiteRequete() {
        return new TraiteRequete();
    }

    /**
     * Create an instance of {@link Requete }
     * 
     */
    public Requete createRequete() {
        return new Requete();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Requete }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "www.afceurope.com", name = "requete")
    public JAXBElement<Requete> createRequete(Requete value) {
        return new JAXBElement<Requete>(_Requete_QNAME, Requete.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TraiteRequete }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.afceurope.com", name = "traiteRequete")
    public JAXBElement<TraiteRequete> createTraiteRequete(TraiteRequete value) {
        return new JAXBElement<TraiteRequete>(_TraiteRequete_QNAME, TraiteRequete.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TraiteRequeteResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.afceurope.com", name = "traiteRequeteResponse")
    public JAXBElement<TraiteRequeteResponse> createTraiteRequeteResponse(TraiteRequeteResponse value) {
        return new JAXBElement<TraiteRequeteResponse>(_TraiteRequeteResponse_QNAME, TraiteRequeteResponse.class, null, value);
    }

}
