package ws;

import javax.jws.*; 
import javax.jws.soap.SOAPBinding;

@WebService(name="AFCWebServices") 
@SOAPBinding(style = SOAPBinding.Style.RPC) 
public class MyWebServices 
{ 

  @WebMethod 
  public String hello( String nom ) 
  { 
    return "Bonjour " + nom + "!"; 
  } 
 
  @WebMethod(operationName="indexCorporel") 
  @WebResult(name = "votre-index") 
  public double indexCorporel( @WebParam(name="taille") double taille, 
                     @WebParam(name="poids") double poids ) 
  { 
    return poids / (taille * taille) / 100 * 100; 
  } 
}

